local _channels = { }
local _sounds = { }

function newSound(filePath)
   local file = filePath:gsub("assets/sound/", "")
   file = file:gsub(".ogg", "")
   _sounds[file] = love.sound.newSoundData(filePath)
end

function playSound ( sound )
   if not _channels[ sound ] then _channels[ sound ] = { } end
   local chan = _channels[ sound ]
   
   local free = 0
   for num, src in pairs ( chan ) do
      if src:isStopped ( ) then free = num; break end
   end
   if free == 0 then 
      free = #chan + 1
      chan[ free ] = love.audio.newSource( _sounds[ sound ] )
   end
   chan[ free ]:play ( )
end